body {
	 background: #0f1923;
	 font-family: "Jura", sans-serif;
}
.modal-content {
  background-color:#0f1923;
  color:#ece8e1;
  font-size:16px;
  border-radius:0;
  box-shadow: 0 5px 15px rgb(255 255 255 / 30%);
  border: 1px solid;
}
/* stop autofill from changing input field color */
input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active
{
 -webkit-box-shadow: 0 0 0 30px #0f1923 inset !important;
 -webkit-text-fill-color: white !important;
}
/* format sign-in tabs */
.nav-tabs > li {
  width:50%;
  border-bottom: 1px solid #ddd;
  margin-bottom:25px;
}
.nav-tabs > li.active {
  border-bottom: none;
}
.nav-tabs > li > a {
  text-align:center;
  border-radius:0;
  margin-right:0;
  color:lightgray;
  background-color:rgb(255,255,255,0.05);
}
.nav-tabs>li.active>a {
  background-color:transparent;
  color:white;
}
.nav-tabs>li>a:hover {
  background-color:rgb(255,255,255,0.2);
}
.nav-tabs>li.active>a:hover, .nav-tabs>li.active>a:focus {
  background-color:transparent;
  color:white;
}
.nav-tabs {
  border-bottom:none;
  
}

#results .rt-thead .rt-th,
#finishIndicator .rt-thead .rt-th {
  border:none;
}
#finishIndicator .ReactTable {
  font-size:24px;
  font-family: 'Orbitron', sans-serif;
}
#trackTabs{display:none;}
/* table formatting */
#games .ReactTable, #leaderboard .ReactTable, #trackboard .ReactTable, #results .ReactTable,
#users .ReactTable, #finishIndicator .ReactTable {background-color:unset;}
#games .rt-tbody .rt-tr{margin-bottom:5px;}
#games .rt-tbody-noData .rt-tr:hover{cursor:default !important;}
#games .rt-noData {width:400px;}
#trackboard .rt-noData, #leaderboard .rt-noData {white-space:nowrap;}
#racetrack.recalculating, #course.recalculating, #practice.recalculating { opacity: 1.0 !important; }
#designer .shiny-input-container {width:calc(100% - 40px);margin-left:40px;}
/* position lock icon over vehicles */
#codeLock {
  height: 0;
  top: 65px;
  position: absolute;
}
/* rules styling */
#rulesPlot, #crash1Plot, #crash2Plot {
  margin:auto;
  display:none;
}
#rulesPlot img, #crash1Plot img, #crash2Plot img {
  border:1px solid white;
}
#backRules, #nextRules {
  margin: auto;
  padding: 40px;
  font-size: 60px;
  color: white;
}
/* styling for dropdown select inputs */
.dropdown-menu{
  background-color:#0f1923;
  color:#ece8e1;
  box-shadow: 0 5px 15px rgb(255 255 255 / 30%);
  margin: 40px 0 0;
}
.dropdown > button.btn-circle {
  background:unset !important;
  border:unset;
  text-shadow: 0 0 3px;
  font-size:50px;
}
.dropdown > button.btn-info:active, .dropdown > button.btn-info:hover {
  border:unset;
  text-shadow: 0 0 9px;
}
.form-control {
  background-color: transparent;
  color:white;
  border-radius:0;
}
.selectize-dropdown, .selectize-dropdown-content, .selectize-input {
  background-color:#0f1923 !important;
  color:white !important;
  border-radius:0 !important;
}
#trackDiv .selectize-dropdown, #trackDiv .selectize-dropdown-content,
#trackDiv .selectize-input {
  border-color:yellow;
  color:yellow !important;
}
#courseModal .selectize-dropdown, #courseModal .selectize-dropdown-content,
#courseModal .selectize-input, #courseModal label, #courseModal h4,
#courseModal .modal-header, #courseModal .modal-content {
  border-color:#39ff14;
  color:#39ff14 !important;
}
#designModal .selectize-dropdown, #designModal .selectize-dropdown-content,
#designModal .selectize-input, #designModal label, #designModal h4,
#designModal .modal-header, #designModal .modal-content, #designModal input {
  border-color:#f1f;
  color:#f1f !important;
}
#trackDiv .selectize-dropdown .optgroup-header {
  color: yellow !important;
}
#courseModal .selectize-dropdown .optgroup-header {
  color: #39ff14 !important;
}
#designModal .selectize-dropdown .optgroup-header {
  color: #f1f !important;
}
.selectize-dropdown .optgroup-header {
  color: white !important;
  background: rgb(255,255,255,0.1) !important;
  margin-left: -5px;
  text-decoration: underline;
}
label {
  text-transform:uppercase;
}
h2, h3, h4 {
  font-family: 'Orbitron', sans-serif;
}
/* arrows for lap increase/decrease */
#lessLaps, #moreLaps {
  color:white;
}
/* Style for locked vehicles */
.fa-lock {
    color: rgb(0,0,0,0.25);
    position: absolute;
    top: 0px;
    left: 0px;
    background-color: rgb(255,255,255,0.2);
    width: 55px;
    height: 55px;
    padding-top: 15px;
}
.fa-lock:hover {
  color: rgb(100,100,100,0.75);
}
/* Style for radio group buttons */
#gameTimer .btn-default, #gamePlayers .btn-default, #gameLaps .btn-default {
  background:unset;
  color:white;
  border-radius:0;
}
#gameTimer .btn-default.active, #gameTimer .btn-default:active,
#gamePlayers .btn-default.active, #gamePlayers .btn-default:active,
#gameLaps .btn-default.active, #gameLaps .btn-default:active {
  background-color:white;
  color:#0f1923;
}
#gameTimer .btn-default:hover, #gamePlayers .btn-default:hover,
#gameLaps .btn-default:hover{
  background-color:gray;
  color:#0f1923;
}
.btnDiv .form-group {
  margin:0;
}
/* Tooltip for tachometer */
#gameTimer .btn-group {
  position: relative;
  display: inline-block;
}
.tooltip {
  font-family: 'Orbitron', sans-serif;
}
#gameTimer .tooltip {
  visibility: hidden;
  width: 60px;
  background-color: #555;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  top: 125%;
  left: 50%;
  margin-left: -30px;
  opacity: 0;
  transition: opacity 0.3s;
}
#gameTimer .tooltip::after {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent #555 transparent;
}
#gameTimer .btn-group-toggle:nth-child(1):hover .tach1,
#gameTimer .btn-group-toggle:nth-child(2):hover .tach2,
#gameTimer .btn-group-toggle:nth-child(3):hover .tach3,
#gameTimer .btn-group-toggle:nth-child(4):hover .tach4 {
  visibility: visible;
  opacity: 1;
}
/*scrollbars*/
#trackDiv ::-webkit-scrollbar,
#newGameDiv ::-webkit-scrollbar,
#courseModal ::-webkit-scrollbar,
#practiceDiv ::-webkit-scrollbar,
#racetrackDiv ::-webkit-scrollbar {
  width:7px;
  height:7px;
}
#trackDiv ::-webkit-scrollbar-track,
#newGameDiv ::-webkit-scrollbar-track,
#courseModal ::-webkit-scrollbar-track,
#practiceDiv ::-webkit-scrollbar-track,
#racetrackDiv ::-webkit-scrollbar-track,
#trackDiv ::-webkit-scrollbar-corner,
#newGameDiv ::-webkit-scrollbar-corner,
#courseModal ::-webkit-scrollbar-corner,
#practiceDiv ::-webkit-scrollbar-corner,
#racetrackDiv ::-webkit-scrollbar-corner {
  background: #0f1923; 
}
#trackDiv ::-webkit-scrollbar-thumb,
#trackDiv ::-webkit-scrollbar-thumb:hover {
  background: yellow;
}
#newGameDiv ::-webkit-scrollbar-thumb,
#newGameDiv ::-webkit-scrollbar-thumb:hover,
#racetrackDiv ::-webkit-scrollbar-thumb,
#racetrackDiv ::-webkit-scrollbar-thumb:hover {
  background: white;
}
#courseModal ::-webkit-scrollbar-thumb,
#courseModal ::-webkit-scrollbar-thumb:hover,
#practiceDiv ::-webkit-scrollbar-thumb,
#practiceDiv ::-webkit-scrollbar-thumb:hover {
  background: #39ff14;
}
#trackDiv .selectize-dropdown-content {
  scrollbar-color: yellow #0f1923;
  scrollbar-width: thin;
}
#newGameDiv .selectize-dropdown-content,
#racetrackDiv .text {
  scrollbar-color: white #0f1923;
  scrollbar-width: thin;
}
#courseModal .selectize-dropdown-content,
#practiceDiv .text {
  scrollbar-color: #39FF14 #0f1923;
  scrollbar-width: thin;
}
/* styling for course design slider */
.irs-min, .irs-max {
  color:gray !important;
}
#createCourseControl .irs-bar,
#createCourseControl .irs-bar-edge {
  background-color:#f1f;
}
/*user lights*/
.led-green {
  margin: 4px auto;
  width: 12px;
  height: 12px;
  background-color: #ABFF00;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 4px 1px, inset #304701 0 -1px 5px, #89FF00 0 2px 5px;
}
.led-red {
  margin: 4px auto;
  width: 12px;
  height: 12px;
  background-color: #F00;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 4px 1px, inset #441313 0 -1px 5px, rgba(255, 0, 0, 0.5) 0 2px 12px;
}
.led-yellow {
  margin: 4px auto;
  width: 12px;
  height: 12px;
  background-color: #FF0;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.2) 0 -1px 7px 1px, inset #808002 0 -1px 9px, #FF0 0 2px 5px;
}
/*button styling*/
.btnBlue a {
   color: #04d9ff;
}
.btnBlue a p span.bg {
   background: #04d9ff;
}
.btnBlue a p span.base {
  border: 1px solid #04d9ff;
}
.btnGreen a {
   color: #39ff14;
}
.btnGreen a p span.bg {
   background: #39ff14;
}
.btnGreen a p span.base {
  border: 1px solid #39ff14;
}
.btnPink a {
   color: #f1f;
}
.btnPink a p span.bg {
   background: #f1f;
}
.btnPink a p span.base {
  border: 1px solid #f1f;
}
.btnGray a {
   color: #CCC;
}
.btnGray a p span.bg {
   background: #CCC;
}
.btnGray a p span.base {
  border: 1px solid #CCC;
}

.btnDiv {
	 display: flex;
	 align-items: center;
	 justify-content: center;
	 flex-flow: column;
}
.btnDiv a {
	 width: 100%;
	 max-width: 240px;
	 padding: 8px;
	 font-size: 17px;
	 font-weight: 900;
	 text-align: center;
	 text-transform: uppercase;
	 text-decoration: none;
	 box-shadow: 0 0 0 1px inset rgba(236, 232, 225, 0.3);
	 position: relative;
	 margin: 10px 0;
}
.btnDiv a.white:hover > p {
	 color: #ece8e1;
}
.btnDiv a.white > p {
	 background: #ece8e1;
	 color: #0f1923;
}
.btnDiv a.white > p span.base {
	 border: 1px solid transparent;
}
.btnDiv a.transparent:hover > p {
	 color: #ece8e1;
}
.btnDiv a.transparent:hover > p span.text {
	 box-shadow: 0 0 0 1px #ece8e1;
}
.btnDiv a.transparent > p {
	 background: #0f1923;
	 color: #ece8e1;
}
.btnDiv a.transparent > p span.base {
	 border: 1px solid #ece8e1;
}
.btnDiv a:after, .btnDiv a:before {
	 content: "";
	 width: 1px;
	 position: absolute;
	 height: 8px;
	 background: #0f1923;
	 left: 0;
	 top: 50%;
	 transform: translateY(-50%);
}
.btnDiv a:before {
	 right: 0;
	 left: initial;
}
.btnDiv a p {
	 margin: 0;
	 height: 54px;
	 line-height: 54px;
	 box-sizing: border-box;
	 z-index: 1;
	 left: 0;
	 width: 100%;
	 position: relative;
	 overflow: hidden;
}
.btnDiv a p span.base {
	 box-sizing: border-box;
	 position: absolute;
	 z-index: 2;
	 width: 100%;
	 height: 100%;
	 left: 0;
}
.btnDiv a p span.base:before {
	 content: "";
	 width: 2px;
	 height: 2px;
	 left: -1px;
	 top: -1px;
	 background: #0f1923;
	 position: absolute;
	 transition: 0.3s ease-out all;
}
.btnDiv a p span.bg {
	 left: -5%;
	 position: absolute;
	 width: 0;
	 height: 100%;
	 z-index: 3;
	 transition: 0.3s ease-out all;
	 transform: skewX(-10deg);
}
.btnDiv a p span.text {
	 z-index: 4;
	 width: 100%;
	 height: 100%;
	 position: absolute;
	 left: 0;
	 top: 0;
	 white-space: nowrap;
}
.btnDiv a p span.text:after {
	 content: "";
	 width: 4px;
	 height: 4px;
	 right: 0;
	 bottom: 0;
	 background: #0f1923;
	 position: absolute;
	 transition: 0.3s ease-out all;
	 z-index: 5;
}
.btnDiv a:hover {
	 color: #ece8e1;
}
.btnDiv a:hover span.bg {
	 width: 110%;
}
.btnDiv a:hover span.text:after {
	 background: #ece8e1;
}
/* circling effect for timer */
#timeOuter{
  position:absolute;
  overflow:hidden;
}
#timeDiv span{
    position: absolute;
    display: block;
}
#timeDiv span:nth-child(1){
    height: 3px;
    width:354px;
    top:0px;
    left:-354px;
    background: linear-gradient(to right, rgba(0,0,0,0), gray);
    border-top-right-radius: 1px;
    border-bottom-right-radius: 1px;
    animation: span1 2s linear infinite;
    animation-delay: 1s;
}
@keyframes span1{
    0%{
        left:-354px
    }
    100%{
        left:354px;
    }
}
#timeDiv span:nth-child(2){
    height: 141px;
    width: 3px;
    top:-141px;
    right:0px;
    background: linear-gradient(to bottom, rgba(0,0,0,0), gray);
    border-bottom-left-radius: 1px;
    border-bottom-right-radius: 1px;
    animation: span2 2s linear infinite;
    animation-delay: 2s;
}
@keyframes span2{
    0%{
        top:-141px;
    }
    100%{
        top:141px;
    }
}
#timeDiv span:nth-child(3){
    height:3px;
    width:354px;
    right:-354px;
    bottom: 0px;
    background: linear-gradient(to left, rgba(0,0,0,0), gray);
    border-top-left-radius: 1px;
    border-bottom-left-radius: 1px;
    animation: span3 2s linear infinite;
    animation-delay: 3s;
}
@keyframes span3{
    0%{
        right:-354px;
    }
    100%{
        right: 354px;
    }
}
#timeDiv span:nth-child(4){
    height:141px;
    width:3px;
    bottom:-141px;
    left:0px;
    background: linear-gradient(to top, rgba(0,0,0,0), gray);
    border-top-right-radius: 1px;
    border-top-left-radius: 1px;
    animation: span4 2s linear infinite;
    animation-delay: 4s;
}
@keyframes span4{
    0%{
        bottom: -141px;
    }
    100%{
        bottom:141px;
    }
}
/* color cycling for vehicle icons */
.cycle {
  color: #FF0000;
  animation: bgColor 12s infinite linear;
}
@keyframes bgColor {
  12.5% {
    color: #FF0000;
  }
  25% {
    color: #FFA500;
  }
  37.5% {
    color: #FFFF00;
  }
  50% {
    color: #7FFF00;
  }
  62.5% {
    color: #00FFFF;
  }
  75% {
    color: #0000FF;
  }
  87.5% {
    color: #9932CC;
  }
  100% {
    color: #FF1493;
  }
}